<?php
include_once "common/base.php";

$s = new \EOG\Models\Stripe();

if (!empty($_POST['stripe'])) {
    $s->loadFromArray($_POST['stripe']);

    if (!empty($s->getState())) {
        file_put_contents(STRIPE_JSON, $s->getJson());
    }

    $s->setClass('simple');
    $html_content = $twig->render('overlays/stripe.twig', ['stripe' => $s]);
    file_put_contents(OVERLAY_DIR . 'simple.html', $html_content);

    $s->setClass('team');
    $html_content = $twig->render('overlays/stripe.twig', ['stripe' => $s]);
    file_put_contents(OVERLAY_DIR . 'team.html', $html_content);

    $s->setClass('team-ban');
    $html_content = $twig->render('overlays/stripe.twig', ['stripe' => $s]);
    file_put_contents(OVERLAY_DIR . 'team-ban.html', $html_content);

	$s->setClass('team-ban');
	$html_content = $twig->render('overlays/stripe.twig', ['stripe' => $s, 'autorefresh' => 30]);
	file_put_contents(OVERLAY_DIR . 'team-ban-refresh.html', $html_content);

} else {
    if (file_exists(STRIPE_JSON)) {
        $raw_json = file_get_contents(STRIPE_JSON);
        $stateArray = json_decode($raw_json, true);
        if (is_array($stateArray)) {
            $s->loadFromArray($stateArray);
        }
    }
}

$teams = new \EOG\Models\TeamList();

if (file_exists(TEAMS_JSON)) {
    $teams->fromJson(file_get_contents(TEAMS_JSON));
}
$page = isset($_GET['page']) ? $_GET['page'] : 'overlay';
$page = in_array($page,['overlay','interview','update']) ? $page : 'overlay';

$var = [
    'page' => $page,
    'stripe' => $s,
    'teamNames' => $teams->getTeamNames(),
    'operators' => $s->getOperators(),
    'post' => !empty($_POST['stripe'])
];

echo $twig->render('admin/modules/'.$page .'.twig', $var);

